| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoICCSdk.registers.icc_registers.ICCTemperatureManager Class Reference
Inheritance diagram for optoICCSdk.registers.icc_registers.ICCTemperatureManager:

## Public Member Functions
def | __init__ (self, board=None)
def | GetDeviceTemperature (self)
| Gets actual device temperature of the active channel.
def | GetDeviceTemperatureThreshold (self)
| Gets device temperature threshold of the active channel.
def | SetDeviceTemperatureThreshold (self, threshold=0)
| Sets device temperature threshold of the active channel.
def | GetBoardOutTemperature (self)
| Gets driver output stage temperature.
def | GetBoardOutTemperatureThreshold (self)
| Gets driver output stage temperature threshold.
def | SetBoardOutTemperatureThreshold (self, threshold=0)
| Sets driver output stage temperature threshold.
def | GetBoardPowTemperature (self)
| Gets driver power supply temperature.
def | GetBoardPowTemperatureThreshold (self)
| Gets driver power supply temperature threshold.
def | SetBoardPowTemperatureThreshold (self, threshold=0)
| Sets driver power supply temperature threshold.

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| device_temperature
| device_temp_threshold
| board_out_temperature
| board_out_threshold
| board_pwr_temperature
| board_pwr_threshold

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Device Temperature Readout
    System ID: 0x22

    * | Address | Name                                      | Default | Description     | Type  | Access
    * |---------|-------------------------------------------|---------|-----------------|-------|-----------
    * | 0x2200  | Device temperature                        | N/A     | Degrees Celsius | uint8 | read only
    * | 0x2201  | Device temperature threshold              | 80      | Degrees Celsius. If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again | uint8 | read write
    * | 0x2202  | Driver output stage temperature           | N/A     | Degrees Celsius | uint32 | read only
    * | 0x2203  | Driver output stage temperature threshold | 80      | Degrees Celsius. If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again | uint32 | read/write
    * | 0x2204  | Driver power supply temperature           | N/A     | Degrees Celsius | uint8 | read only
    * | 0x2205  | Driver power supply temperature threshold | 80      | Degrees Celsius. If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again | uint8 | read write

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICCSdk.registers.icc_registers.ICCTemperatureManager.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ help()

def optoICCSdk.registers.icc_registers.ICCTemperatureManager.help | ( |  | ) |
| static

## ◆ GetDeviceTemperature()

def optoICCSdk.registers.icc_registers.ICCTemperatureManager.GetDeviceTemperature | ( |  | self | ) |

Gets actual device temperature of the active channel.

Active cahnnel is set by 'Status.SetDeviceEEPROMactiveChannel(channel_index)'. This temperature can be also obtained by channel's TemperatureManager 'Channel_0.TemperatureManager.GetDeviceTemperature()'

## ◆ GetDeviceTemperatureThreshold()

def optoICCSdk.registers.icc_registers.ICCTemperatureManager.GetDeviceTemperatureThreshold | ( |  | self | ) |

Gets device temperature threshold of the active channel.

Active cahnnel is set by 'Status.SetDeviceEEPROMactiveChannel(channel_index)'. If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again. This temperature threshold can be also obtained by channel's TemperatureManager 'Channel_0.TemperatureManager.GetDeviceTemperatureThreshold()'

## ◆ SetDeviceTemperatureThreshold()

def optoICCSdk.registers.icc_registers.ICCTemperatureManager.SetDeviceTemperatureThreshold | ( |  | self,
|  |  | threshold = `0`
| ) |  |

Sets device temperature threshold of the active channel.

Active cahnnel is set by 'Status.SetDeviceEEPROMactiveChannel(channel_index)'. If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again. This temperature threshold can be also obtained by channel's TemperatureManager 'Channel_0.TemperatureManager.GetDeviceTemperatureThreshold()'

## ◆ GetBoardOutTemperature()

def optoICCSdk.registers.icc_registers.ICCTemperatureManager.GetBoardOutTemperature | ( |  | self | ) |

Gets driver output stage temperature.

## ◆ GetBoardOutTemperatureThreshold()

def optoICCSdk.registers.icc_registers.ICCTemperatureManager.GetBoardOutTemperatureThreshold | ( |  | self | ) |

Gets driver output stage temperature threshold.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again

## ◆ SetBoardOutTemperatureThreshold()

def optoICCSdk.registers.icc_registers.ICCTemperatureManager.SetBoardOutTemperatureThreshold | ( |  | self,
|  |  | threshold = `0`
| ) |  |

Sets driver output stage temperature threshold.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again

## ◆ GetBoardPowTemperature()

def optoICCSdk.registers.icc_registers.ICCTemperatureManager.GetBoardPowTemperature | ( |  | self | ) |

Gets driver power supply temperature.

## ◆ GetBoardPowTemperatureThreshold()

def optoICCSdk.registers.icc_registers.ICCTemperatureManager.GetBoardPowTemperatureThreshold | ( |  | self | ) |

Gets driver power supply temperature threshold.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again

## ◆ SetBoardPowTemperatureThreshold()

def optoICCSdk.registers.icc_registers.ICCTemperatureManager.SetBoardPowTemperatureThreshold | ( |  | self,
|  |  | threshold = `0`
| ) |  |

Sets driver power supply temperature threshold.

If this threshold is reached the output of the driver is disabled to cool down. Temperature has to fall by 10 degrees so that the output is enabled again

## Member Data Documentation

## ◆ _is_a_system

bool optoICCSdk.registers.icc_registers.ICCTemperatureManager._is_a_system = False
| static protected

## ◆ sys_id

optoICCSdk.registers.icc_registers.ICCTemperatureManager.sys_id

## ◆ device_temperature

optoICCSdk.registers.icc_registers.ICCTemperatureManager.device_temperature

## ◆ device_temp_threshold

optoICCSdk.registers.icc_registers.ICCTemperatureManager.device_temp_threshold

## ◆ board_out_temperature

optoICCSdk.registers.icc_registers.ICCTemperatureManager.board_out_temperature

## ◆ board_out_threshold

optoICCSdk.registers.icc_registers.ICCTemperatureManager.board_out_threshold

## ◆ board_pwr_temperature

optoICCSdk.registers.icc_registers.ICCTemperatureManager.board_pwr_temperature

## ◆ board_pwr_threshold

optoICCSdk.registers.icc_registers.ICCTemperatureManager.board_pwr_threshold